stages:
  - build

build-backend:
  stage: build
  image: docker:20.10.16
  services:
    - docker:20.10.16-dind
  variables:
    DOCKER_TLS_CERTDIR: "/certs"
  before_script:
    - docker login -u $REGISTER_USER -p $REGISTERY_PASSWORD
  script:
    - docker build -t $DOCKER_REGISTERY_USER/$BACKEND_IMAGE_NAME:$BACKEND_IMAGE_VERSION backend
    - docker push $DOCKER_REGISTERY_USER/$BACKEND_IMAGE_NAME:$BACKEND_IMAGE_VERSION

build-frontend:
  stage: build
  image: docker:20.10.16
  services:
    - docker:20.10.16-dind
  variables:
    DOCKER_TLS_CERTDIR: "/certs"
  before_script:
    - docker login -u $REGISTER_USER -p $REGISTERY_PASSWORD
  script:
    - docker build -t $DOCKER_REGISTERY_USER/$FRONTEND_IMAGE_NAME:$FRONTEND_IMAGE_VERSION frontend
    - docker push $DOCKER_REGISTERY_USER/$FRONTEND_IMAGE_NAME:$FRONTEND_IMAGE_VERSION



